<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.FastStoreLoadAnalyzer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData org.jetbrains.org.objectweb.asm.tree.VarInsnNode getStoreInsn()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph ControlFlowGraph(org.jetbrains.org.objectweb.asm.tree.MethodNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue merge(org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue newOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter void returnOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph void addNonTrivialPredecessor(org.jetbrains.org.objectweb.asm.tree.LabelNode, org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData java.util.LinkedHashSet&lt;org.jetbrains.org.objectweb.asm.tree.VarInsnNode&gt; getLoads()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter StoreTrackingInterpreter(java.util.Map&lt;org.jetbrains.org.objectweb.asm.tree.VarInsnNode,org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData void setDirty(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph java.util.List&lt;org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode&gt; getAllPredecessors(org.jetbrains.org.objectweb.asm.tree.LabelNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph void reset()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph boolean hasNonTrivialPredecessors(org.jetbrains.org.objectweb.asm.tree.LabelNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue binaryOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue unaryOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph boolean hasSinglePredecessor(org.jetbrains.org.objectweb.asm.tree.LabelNode, org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue.Unknown">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue naryOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, java.util.List&lt;? extends org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVariablesEliminationTransformer.ControlFlowGraph org.jetbrains.org.objectweb.asm.tree.MethodNode getMethodNode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue.Store getValue()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue copyOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.StoreLoadFrame">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue ternaryOperation(org.jetbrains.org.objectweb.asm.tree.AbstractInsnNode, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue, org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData boolean isDirty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreData StoreData(org.jetbrains.org.objectweb.asm.tree.VarInsnNode)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue.Store">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue.DirtyStore">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue newValue(org.jetbrains.org.objectweb.asm.Type)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoreTrackingInterpreter org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryValsAnalyzer.StoredValue newEmptyValue(int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="org.jetbrains.kotlin.codegen.optimization.temporaryVals.TemporaryVal">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
</root>
